pro doast,root,fnum1,fnum2,OBJRAD=objrad,MAGLIM=maglim,OBJNAME=objname

   if n_params() eq 0 then begin
      print,'doast,root,fnum1 [,fnum2]'
      return
   endif

   if badpar(root,7,0,CALLER='DOAST: (root) ') then return
   if badpar(fnum1,[2,3],0,CALLER='DOAST: (fnum1) ') then return
   if badpar(fnum2,[0,2,3],0,CALLER='DOAST: (fnum2) ',default=fnum1) then return
   if badpar(objrad,[0,2,3,4,5],0,CALLER='DOAST: (OBJRAD) ',default=4.0) then return
   if badpar(maglim,[0,2,3,4,5],0,CALLER='DOAST: (MAGLIM) ',default=17.0) then return

   dpath = '/frakir/data2/buie/rawfits/'+root
   key='/gryll/data1/Reduced/pccd.key'


   for fnum=fnum1,fnum2 do begin

      astrom,root,fnum,binfac=1,/noremind,gain=2.4,/twostar, $
             path=dpath,objrad=objrad,maglim=maglim,center=2,/roam, $
             maxphotsig=64000,objname=objname,plastfile='none', $
             /noobj,maxstars=80,key=key

   endfor

end
